### Class

# St BorderImage

#### Description

    final class St.BorderImage : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### st_border_image_new

Creates a new `StBorderImage`.

#### Instance methods

###### st_border_image_equal

Check if two `StBorderImage` objects are identical.

###### st_border_image_get_borders

No description available.

###### st_border_image_get_file

Get the `GFile` for `image`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct StBorderImageClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.